aboutsummaryrefslogtreecommitdiff
path: root/test/run-shellcheck.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/run-shellcheck.sh')
-rwxr-xr-xtest/run-shellcheck.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/run-shellcheck.sh b/test/run-shellcheck.sh
new file mode 100755
index 0000000..1319ba5
--- /dev/null
+++ b/test/run-shellcheck.sh
@@ -0,0 +1,13 @@
+#!/bin/bash -ex
+
+pushd "$(dirname "$0")"
+
+has_error=0
+while IFS= read -d $'\0' -r script ; do
+ echo "$script"
+ if ! shellcheck -e SC1091 "$script" ; then
+ has_error=1
+ fi
+done < <(find .. -name '*.sh' -print0)
+
+exit "$has_error"